# Uses of Interface
javax.tools.DocumentationTool

Packages that use DocumentationTool
Package
Description
javax.tools
Provides interfaces for tools which can be invoked from a program, for example, compilers.

## Uses of DocumentationTool in javax.tools

Methods in javax.tools that return DocumentationTool
Modifier and Type
Method
Description
`static DocumentationTool`
ToolProvider.`getSystemDocumentationTool()`
Returns the Java programming language documentation tool provided with this platform.